import React from 'react';
import styles from './style.module.scss';
import {useRecoilState} from "recoil";
import {modalsAtom} from "../state";

const PersonDataModal = () => {
    const [modal] = useRecoilState(modalsAtom)
    return (
        <>
            {
                modal.current === 'personal_data'
                &&
                <div className={styles.personalData}>
                    <h2>Згода-повідомлення</h2>
                    <p>
                        Суб’єкта персональних даних на включення його даних до бази даних
                        та обробку його персональних даних <br/>
                        Даним документом,на виконання вимог частини 2 статті 12 Закону
                        України «Про захист персональних даних», я надаю згоду на включення
                        та повідомлений про включення добровільно наданих мною володільцю ТОВ
                        «Парi-Матч Лото» власних персональних даних до бази персональних даних
                        «Гравці» (надалі – БПД «Гравці»),а також дозволяю вчинення всіх дій, які,
                        відповідно до Закону України «Про захист персональних даних» є обробкою
                        моїх персональних даних у відповідності до сформульованої мети їх обробки,
                        якою є забезпечення участі гравця в лотерею, інформування зареєстрованих гравців
                        про новини на ринку лотерей, популяризації державних лотерей в Україні відповідно
                        до Цивільного кодексу України, Ліцензійних умов провадження господарської діяльності
                        з випуску та проведення лотерей, Закону України «Про внесення змін до деяких
                        законодавчих актів України з метою запровадження державного контролю за здійсненням
                        лотерейної діяльності», Закону України «Про ліцензування певних видів господарської
                        діяльності», Указу Президента України «Про деякі заходи щодо регулювання лотерейної
                        діяльності», Закону України «Про державні лотереї в Україні».
                    </p>
                    <p>
                        Для досягнення мети обробки БПД «Гравці», я надаю дозвіл на здійснення обробки моїх персональних даних в обсязі,
                        що надається мною при реєстрації на веб-порталі та необхідному для реалізації вищезазначеної
                        мети. Володільцю передаються наступні персональні дані: ПІП; дата народження; ідентифікаційний
                        код; паспортні дані; місце реєстрації; місце проживання; номер телефону тощо.<br/>
                        З правами статті 8 Закону України «Про захист персональних даних» ознайомлений та проінформований,
                        що маю наступні права:
                    </p>
                    <p>
                        1) знати про місцезнаходження бази персональних даних, яка містить його персональні
                        дані, її призначення та найменування, місцезнаходження та / або місце проживання
                        (перебування) володільця чи розпорядника персональних даних або дати відповідне
                        доручення щодо отримання цієї інформації уповноваженим ним особам, крім випадків,
                        встановлених законом;
                    </p>
                    <p>
                        2) отримувати інформацію про умови надання доступу до персональних даних,
                        зокрема інформацію про третіх осіб, яким передаються його персональні дані;
                    </p>
                    <p>
                        3) на доступ до своїх персональних даних;
                    </p>
                    <p>
                        4) отримувати не пізніш як за тридцять календарних днів з дня надходження
                        запиту, крім випадків, передбачених законом, відповідь про те, чи зберігаються
                        його персональні дані у відповідній базі персональних даних, а також отримувати
                        зміст його персональних даних, які зберігаються;
                    </p>
                    <p>
                        5) пред’являти вмотивовану вимогу володільцю персональних даних із запереченням
                        проти обробки своїх персональних даних;
                    </p>
                    <p>
                        6) пред’являти вмотивовану вимогу щодо зміни або знищення своїх
                        персональних даних будь-яким володільцем та розпорядником персональних
                        даних, якщо ці дані обробляються незаконно чи є недостовірними;
                    </p>
                    <p>
                        7) на захист своїх персональних даних від незаконної обробки та випадкової
                        втрати, знищення, пошкодження у зв’язку з умисним приховуванням, ненаданням
                        чи несвоєчасним їх наданням, а також на захист від надання відомостей, що є
                        недостовірними чи ганьблять честь, гідність та ділову репутацію фізичної особи;
                    </p>
                    <p>
                        8) звертатися із скаргами на обробку своїх персональних даних до органів
                        державної влади та посадових осіб, до повноважень яких належить забезпечення
                        захисту персональних даних, або до суду;
                    </p>
                    <p>
                        9) застосовувати засоби правового захисту в разі порушення законодавства
                        про захист персональних даних;
                    </p>
                    <p>
                        10) вносити застереження стосовно обмеження права на обробку
                        своїх персональних даних під час надання згоди;
                    </p>
                    <p>
                        11) відкликати згоду на обробку персональних даних;
                    </p>
                    <p>
                        12) знати механізм автоматичної обробки персональних даних;
                    </p>
                    <p>
                        13) на захист від автоматизованого рішення, яке має для нього правові наслідки.
                    </p>
                    <p>
                        Я надаю згоду на передачу (поширення) моїх персональних даних, що включені до
                        БПД «Гравці», виключно з метою, передбаченою даною згодою суб’єктам,
                        пов’язаним з реалізацією цієї мети.
                    </p>
                    <p>
                        Я надаю згоду на зберігання своїх персональних даних протягом 3 років,
                        з моменту останньої проведеної мною дії на зареєстрованій веб-сторінці.
                    </p>
                    <p>
                        Доступ до персональних даних, що включені до БПД «Гравці» третіх осіб
                        дозволяю у випадках та порядку, передбаченому законодавством України
                        та не вимагаю здійснення повідомлення мене про передачу (поширення)
                        моїх персональних даних, що включені до БПД «Гравці», якщо така передача
                        (поширення) відбувається виключно з метою передбаченою даною згодою.
                    </p>
                </div>
            }
        </>
    );
};

export default PersonDataModal;